unit formPTChart;

interface

uses
  Winapi.Windows, Winapi.Messages, System.SysUtils, System.Variants, System.Classes, Vcl.Graphics,
  Vcl.Controls, Vcl.Forms, Vcl.Dialogs, VclTee.TeeGDIPlus, Data.DB,
  VCLTee.TeEngine, VCLTee.TeeURL, VCLTee.TeeSeriesTextEd, VCLTee.Series,
  Vcl.ExtCtrls, VCLTee.TeeProcs, VCLTee.Chart, VCLTee.DBChart, VCLTee.TeeTools;

type
  TfrmPTChart = class(TForm)
    DBChart1: TDBChart;
    Series1: TLineSeries;
    Series2: TLineSeries;
    SeriesTextSource1: TSeriesTextSource;
    SeriesTextSource2: TSeriesTextSource;
    Series3: TLineSeries;
    SeriesTextSource3: TSeriesTextSource;
    Series4: TLineSeries;
    SeriesTextSource4: TSeriesTextSource;
    procedure FormShow(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  frmPTChart: TfrmPTChart;

implementation

{$R *.dfm}

procedure TfrmPTChart.FormShow(Sender: TObject);
var
  s1, s2, s3, s4: integer;

begin
// Pressure vs Depth
  with SeriesTextSource1 do
  begin
    FileName := 'C:\Code_Test_Progs\DeviatedPT\DeviatedPT.txt';
    FieldSeparator:=',';
    Fields.Clear;
    AddField('X',3);
    AddField('Y',1);
    Load;
  end;
  Series1.DataSource := SeriesTextSource1;
  s1 := Series1.Count;

// WHP vs Depth
  with SeriesTextSource2 do
  begin
    FileName := 'C:\Code_Test_Progs\DeviatedPT\DeviatedPT.txt';
    FieldSeparator:=',';
    Fields.Clear;
    AddField('X',4);
    AddField('Y',1);
    Load;
  end;
  Series2.DataSource := SeriesTextSource2;
  s2 := Series2.Count;

// Temperature vs Depth
  with SeriesTextSource3 do
  begin
    FileName := 'C:\Code_Test_Progs\DeviatedPT\DeviatedPT.txt';
    FieldSeparator:=',';
    Fields.Clear;
    AddField('X',2);
    AddField('Y',1);
    Load;
  end;
  Series3.DataSource := SeriesTextSource3;
  s3 := Series3.Count;

// Pressure vs Elevation
//  with SeriesTextSource4 do
//  begin
//    FileName := 'C:\Code_Test_Progs\DeviatedPT\DeviatedPT.txt';
//    FieldSeparator:=',';
//    Fields.Clear;
//    AddField('X',3);
//    AddField('Y',6);
//    Load;
//  end;
//  Series4.DataSource := SeriesTextSource4;
//  s4 := Series4.Count;

end;

end.
